Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bruteforce
Class DefaultBruteForceSolver

    java.lang.Object
      org.drools.planner.core.solver.AbstractSolver
          org.drools.planner.core.bruteforce.DefaultBruteForceSolver

All Implemented Interfaces:
  BruteForceSolver, Solver

    public class DefaultBruteForceSolver

extends AbstractSolver
implements BruteForceSolver

Default implementation of `BruteForceSolver`.

Field Summary
`protected BruteForceSolverScope` | `bruteForceSolverScope`

Fields inherited from class org.drools.planner.core.solver.AbstractSolver
`bestSolutionRecaller, logger, randomSeed, solverEventSupport, startingSolutionInitializer, terminatedEarly`

Constructor Summary
`DefaultBruteForceSolver()`

Method Summary
`AbstractSolverScope` | `getAbstractSolverScope()`
`Solution` | `getBestSolution()`
`ScoreDefinition` | `getScoreDefinition()`
`long` | `getTimeMillisSpend()` TODO timeMillisSpend should not continue to increase after the solver has been terminated
`void` | `setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)`
`void` | `setRuleBase(org.drools.RuleBase ruleBase)`
`void` | `setScoreCalculator(ScoreCalculator scoreCalculator)`
`void` | `setScoreDefinition(ScoreDefinition scoreDefinition)`
`void` | `setStartingSolution(Solution startingSolution)`
`protected void` | `solveImplementation()`
`void` | `solvingEnded(BruteForceSolverScope bruteForceSolverScope)`
`void` | `solvingStarted(BruteForceSolverScope bruteForceSolverScope)`

Methods inherited from class org.drools.planner.core.solver.AbstractSolver
`addEventListener, getStartingSolutionInitializer, isTerminatedEarly, removeEventListener, setRandomSeed, setStartingSolutionInitializer, solve, solvingStarted, terminateEarly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.Solver
`addEventListener, isTerminatedEarly, removeEventListener, solve, terminateEarly`

Field Detail

### bruteForceSolverScope

    protected BruteForceSolverScope bruteForceSolverScope

Constructor Detail

### DefaultBruteForceSolver

    public DefaultBruteForceSolver()

Method Detail

### setRuleBase

    public void setRuleBase(org.drools.RuleBase ruleBase)

  Overrides:
    `setRuleBase` in class `AbstractSolver`

### setScoreDefinition

    public void setScoreDefinition(ScoreDefinition scoreDefinition)

  Overrides:
    `setScoreDefinition` in class `AbstractSolver`

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

  Specified by:
    `getScoreDefinition` in interface `Solver`
  Overrides:
    `getScoreDefinition` in class `AbstractSolver`
  Returns:
    never null

### setScoreCalculator

    public void setScoreCalculator(ScoreCalculator scoreCalculator)

  Overrides:
    `setScoreCalculator` in class `AbstractSolver`

### setBestSolutionRecaller

    public void setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)

  Overrides:
    `setBestSolutionRecaller` in class `AbstractSolver`

### setStartingSolution

    public void setStartingSolution(Solution startingSolution)

  Specified by:
    `setStartingSolution` in interface `Solver`
  Overrides:
    `setStartingSolution` in class `AbstractSolver`
  Parameters:
    `startingSolution` - never null

### getBestSolution

    public Solution getBestSolution()

  Specified by:
    `getBestSolution` in interface `Solver`
  Overrides:
    `getBestSolution` in class `AbstractSolver`
  Returns:
    never null after solving

### getTimeMillisSpend

    public long getTimeMillisSpend()

  Description copied from interface: `Solver`
  TODO timeMillisSpend should not continue to increase after the solver has been terminated

  Specified by:
    `getTimeMillisSpend` in interface `Solver`
  Overrides:
    `getTimeMillisSpend` in class `AbstractSolver`
  Returns:
    the amount of millis spend since this solver started

### getAbstractSolverScope

    public AbstractSolverScope getAbstractSolverScope()

  Specified by:
    `getAbstractSolverScope` in class `AbstractSolver`

### solveImplementation

    protected void solveImplementation()

  Specified by:
    `solveImplementation` in class `AbstractSolver`

### solvingStarted

    public void solvingStarted(BruteForceSolverScope bruteForceSolverScope)

### solvingEnded

    public void solvingEnded(BruteForceSolverScope bruteForceSolverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.